require_relative 'instantiator'
require_relative '../provider'

module CrystalClear
  class ProviderInstantiator < Instantiator

    # @param [Class<? extends CrystalClear::Provider>]
    def initialize(provider_class)
      @provider_class = provider_class
    end

    def instantiate
      @provider_class.new.provide
    end
  end

end
