require_relative 'instantiator'

module CrystalClear
  class SingletonInstantiator < Instantiator

    def initialize(class_name)
      @instance = nil
      @provider_class = class_name
    end

    def instantiate
      @instance ||= @provider_class.new
    end

  end
end
