require_relative 'instantiator'
require_relative '../provider'

module CrystalClear
  class SingletonProviderInstantiator < Instantiator

    # @param [Class<? extends CrystalClear::Provider>]
    def initialize(provider_class)
      @provider_class = provider_class
    end

    # @return [<? extends CrystalClear::Provider>]
    def instantiate
      @provider_instance ||= @provider_class.new
      @provider_instance.provide
    end
  end

end
